Subject: RE: poll function in cygwin
From: "Nguyen Minh Sang" <[email-masked]>
To: "egor duda" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 27 Aug 2002 16:46:23 +0700

Hi !

  I has written a CHAT server that uses poll function. In linux, it's
OK. The concurrent connection I achieved is lager than 1024. But on
Win2k (compile in cygwin) then concurrent connection reach only 1023 and
the process bug: Segmentaion fault. could you help me to solve this
problem ?

Thanks and Best Regards,
sangnm.

-----Original Message-----
From: egor duda [mailto:[email-masked]]
Sent: Tuesday, August 27, 2002 2:27 AM
To: Corinna Vinschen
Subject: Re: poll function in cygwin

Hi!

Tuesday, 27 August, 2002 Corinna Vinschen [email-masked]
wrote:

CV> On Tue, Aug 27, 2002 at 02:33:40PM +0700, Nguyen Minh Sang wrote:
>>    On cygwin, function:
>> int poll(struct pollfd *ufds, unsigned int nfds, int timeout);
>> 
>> The maximum of nfds = ?

CV> Theoretically there is no maximum.  In practice the maximum is a
CV> function of the memory available.

I was thinking that maximum number of handles which can be waited via
WaitForMultipleObjects() is 64, thus limiting a number of handles that
can be select()ed. It's probably possible to work around such
limitation in cygwin select() but either i've missed something or no
such workaround was created in cygwin code. 

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/